Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.core.provider.jaxb
Class AbstractJAXBProvider<T>

    java.lang.Object
      com.sun.jersey.core.provider.AbstractMessageReaderWriterProvider<T>
          com.sun.jersey.core.provider.jaxb.AbstractJAXBProvider<T>

All Implemented Interfaces:
  javax.ws.rs.ext.MessageBodyReader<T>, javax.ws.rs.ext.MessageBodyWriter<T>

Direct Known Subclasses:
  AbstractJAXBElementProvider, AbstractListElementProvider, AbstractRootElementProvider

    public abstract class AbstractJAXBProvider<T>

extends AbstractMessageReaderWriterProvider<T>

Author:
  Paul.Sandoz@Sun.Com

Field Summary

Fields inherited from class com.sun.jersey.core.provider.AbstractMessageReaderWriterProvider
`UTF8`

Constructor Summary
`AbstractJAXBProvider(javax.ws.rs.ext.Providers ps)`
`AbstractJAXBProvider(javax.ws.rs.ext.Providers ps, javax.ws.rs.core.MediaType mt)`

Method Summary
`protected javax.xml.bind.Marshaller` | `getMarshaller(java.lang.Class type)`
`protected javax.xml.bind.Marshaller` | `getMarshaller(java.lang.Class type, javax.ws.rs.core.MediaType mt)`
`protected javax.xml.bind.JAXBContext` | `getStoredJAXBContext(java.lang.Class type)`
`protected javax.xml.bind.Unmarshaller` | `getUnmarshaller(java.lang.Class type)`
`protected javax.xml.bind.Unmarshaller` | `getUnmarshaller(java.lang.Class type, javax.ws.rs.core.MediaType mt)`
`protected boolean` | `isSupported(javax.ws.rs.core.MediaType m)`

Methods inherited from class com.sun.jersey.core.provider.AbstractMessageReaderWriterProvider
`getCharset, getSize, readFromAsString, writeTo, writeTo, writeToAsString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.ws.rs.ext.MessageBodyReader
`isReadable, readFrom`

Methods inherited from interface javax.ws.rs.ext.MessageBodyWriter
`isWriteable, writeTo`

Constructor Detail

### AbstractJAXBProvider

    public AbstractJAXBProvider(javax.ws.rs.ext.Providers ps)

### AbstractJAXBProvider

    public AbstractJAXBProvider(javax.ws.rs.ext.Providers ps,
                                javax.ws.rs.core.MediaType mt)

Method Detail

### isSupported

    protected boolean isSupported(javax.ws.rs.core.MediaType m)

### getUnmarshaller

    protected final javax.xml.bind.Unmarshaller getUnmarshaller(java.lang.Class type,
                                                                javax.ws.rs.core.MediaType mt)
                                                         throws javax.xml.bind.JAXBException

  Throws:
    `javax.xml.bind.JAXBException`

### getUnmarshaller

    protected final javax.xml.bind.Unmarshaller getUnmarshaller(java.lang.Class type)
                                                         throws javax.xml.bind.JAXBException

  Throws:
    `javax.xml.bind.JAXBException`

### getMarshaller

    protected final javax.xml.bind.Marshaller getMarshaller(java.lang.Class type,
                                                            javax.ws.rs.core.MediaType mt)
                                                     throws javax.xml.bind.JAXBException

  Throws:
    `javax.xml.bind.JAXBException`

### getMarshaller

    protected final javax.xml.bind.Marshaller getMarshaller(java.lang.Class type)
                                                     throws javax.xml.bind.JAXBException

  Throws:
    `javax.xml.bind.JAXBException`

### getStoredJAXBContext

    protected javax.xml.bind.JAXBContext getStoredJAXBContext(java.lang.Class type)
                                                       throws javax.xml.bind.JAXBException

  Throws:
    `javax.xml.bind.JAXBException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.